function init()
	gun.name = "Photon_Spiral"
	gun.fireDelay = 10000
	gun.shotrange = 2000
	gun.shotspeed = 200
	gun.shotdamage = 6
	gun.shotknockback = 5000
	gun.burstDelay = 100
	gun.burstNum = 10
	
	return 0
end


function update()
	return 0
end


function fire()
	--fire a number of shots
	theta = gun.burst * (180 / gun.burstnum)
	for i = -1, 1, 2 do
		gun.addShot("shot4.png", gun.firex, gun.firey, gun.owner.rot + theta + i*90)
		shot.scale = 3.0
		shot.ignorePhysics = 1--so dodongo doesn't suck them back in

		--attach a trail emitter to the shot
		stage.createEmitter("shottrail", 0, 0)
		e.scale = .5
		e.attach(shot)
		e.upload()
	end
	gun.sfx("gun_photon.wav", gun.firex, gun.firey)

	return 0
end

function shot_update()

	return 0
end